#!/usr/bin/perl
# ------------------------------------------------------------------------------
# -- Copyright (c) 2021 Jersey Jack Pinball ------------------------------------
# ------------------------------------------------------------------------------
use utf8;
use strict;
use warnings;

# ------------------------------------------------------------------------------
# -- globals -------------------------------------------------------------------
# ------------------------------------------------------------------------------
my $bt = 'false';
my $cam = 'false';
my $hph = 'false';
my $kbm = 'false';

# ------------------------------------------------------------------------------
# -- main ----------------------------------------------------------------------
# ------------------------------------------------------------------------------
foreach (`hciconfig`) {
	if (/hci0/) {
		$bt = 'true';
		last;
	}
}

if (glob("/dev/video*")) {
	$cam = 'true';
}

foreach (`pactl list short sinks`) {
	if (/usb/) {
		$hph = 'true';
		last;
	}
}

if (glob("/dev/input/by-path/*-kbd /dev/input/by-path/*-mouse")) {
	$kbm = 'true';
}

print "bluetooth:$bt:\n";
print "camera:$cam:\n";
print "headphone:$hph:\n";
print "kbmouse:$kbm:\n";
